//------------------------------------------------------------------------------
// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------

using System;

namespace CommunityServer.Components
{
	/// <summary>
	/// Summary description for IThread.
	/// </summary>
	public interface IThread : IRateable
	{
        int PostID
        {
            get;
            set;
        }

		ThreadStatus Status
		{
			get;
		}

		int AuthorID
		{
			get;
			set;
		}

		bool IsPopular
		{
			get;
		}

		bool IsAnnouncement
		{
			get;
		}

		bool IsSticky
		{
			get;
			set;
		}

		DateTime StickyDate
		{
			get;
			set;
		}

		string MostRecentPostAuthor
		{
			get;
			set;
		}

		int MostRecentPostAuthorID
		{
			get;
			set;
		}

		int MostRecentPostID
		{
			get;
			set;
		}
	}
}
